Please login or register.

Login with username, password and session length
Advanced search  


Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: Upgrading to OOo2.3.1 from OOo2.2  (Read 970 times)


  • Member
  • *
  • Posts: 9
Upgrading to OOo2.3.1 from OOo2.2
« on: January 16, 2008, 11:52:17 pm »

Hi. I am using VL5.8 SOHO which has OOo 2.2 installed. In the program there is a link to update. In Windows I remember completely  removing  Office97 before installing Office 2003. (I had to as I was moving from the Me OS to XP)   My question: Do you have to do the same in Linux? And is the upgrade really worth it?   

Thanks for any tips.


  • Vectorite
  • ***
  • Posts: 165
Re: Upgrading to OOo2.3.1 from OOo2.2
« Reply #1 on: January 17, 2008, 04:52:18 am »


You can see here what the changes are. I don't believe you can just 'update', but rather need a new install. I might be wrong though. Out of habit I always use the localized version straight from the source at

It's pretty easy if you know what you're doing.

Download to Desktop
Navigate to ~/Desktop/OOo_2.3.1dir/RPMS
Remove all unneeded rpm's (self evident, you don't need gnome integration for example)
Navigate to ~/Desktop/OOo_2.3.1dir/RPMS/desktop_integration
Remove all, except for Slackware_integration
Copy Slackware_integration to ~/Desktop/OOo_2.3.1dir/RPMS

Now fire up Konsole. Su to root
Navigate to ~/Desktop/OOo_2.3.1dir/RPMS
Type this:
Code: [Select]
rpm2tgz *rpm
installpkg *tgz
You can now safely remove the OOo directory from your desktop.

You can safely remove 2.2 with your favorite package manager, or let it sit until you are comfortable that it was a good idea to make the switch. They wont bite each other.


  • Administrator
  • Vectorian
  • *****
  • Posts: 1346
  • Registered Linux User #386728
Re: Upgrading to OOo2.3.1 from OOo2.2
« Reply #2 on: January 17, 2008, 07:38:49 pm »

To add to Freston's post, if you're not up to the task of moving stuff around or messing around with rpm's, you can download the latest OpenOffice from or from Here are the appropriate links:

These packages will say they are for Slackware-12.0. However, they will work correctly with VL 5.8.x SOHO, as they are repackaged official binaries distributed by

VL 6.0 SOHO latest alpha on one box, VL 5.9 Lite on the other.